Page MenuHomePhabricator

Clarify populateSitesTable.php instructions in Add a Wiki
Closed, ResolvedPublic

Description

https://wikitech.wikimedia.org/wiki/Add_a_wiki#Wikidata says we need to run populateSitesTable.php on all wikis...

I tried to make addWiki do that in https://gerrit.wikimedia.org/r/#/c/339144/ but was told that we already had this. Which we do, kind of, at https://github.com/wikimedia/mediawiki-extensions-WikimediaMaintenance/blob/master/addWiki.php#L234-L242

So one of them is wrong; either we need to make it run on all wikis and the instructions are right, so there's no reason why we can't move it into addWiki. Or we don't need to run it on all wikis, and therefore the instructions are wrong, the documentation on Add a wiki needs updating so we don't need to run it on all wikis, and that patch can be abandoned.

Both can't be right.

And FWIW, when creating new wikis, we tend to add to the dblist, and stage before running addWiki now anyway if that makes any influence

Event Timeline

Reedy created this task.Jul 18 2017, 11:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2017, 11:45 PM
Reedy updated the task description. (Show Details)Jul 18 2017, 11:56 PM
Reedy triaged this task as Unbreak Now! priority.EditedApr 20 2018, 1:23 PM
Reedy added a subscriber: Lydia_Pintscher.

Can we get all this fixed up please? This and https://gerrit.wikimedia.org/r/#/c/339144/

I'm getting tired of this being a major issue every time we create a new wiki (Wikidata enabled, but rarely works 100% correctly)

T183561#4145821 and T183561#4145831

@Lydia_Pintscher Can you get this to peoples attention so we can get it resolved/documented/fixed up as appropriate going forward? Even if the resolution is "ask the wikidata team" after we create a wiki... The documentation should be changed, and code removed from addWiki.php if it's no longer required etc

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 20 2018, 1:23 PM
hoo added a subscriber: hoo.Apr 20 2018, 1:27 PM
hoo added a subscriber: Ladsgroup.Apr 20 2018, 3:23 PM

Well… basically all (wikidataclient) sites and site_identifiers tables need to re-generated once a new wiki gets added (also if we ever remove one). That's because all of them might handle data that refers to any of the other wikis.

Due to T158751: Make populateSitesTable.php more robust I'm not sure I like for this to happen automatically right now… we (well, I, really) once broke most of enwiki page rendering with the script.
IMO currently the best practice is: Populate the tables on the new wiki (nothing much can break there if it goes wrong), and later on re-populate the table fleet wide so that the new wikis can be linked from Wikidata. In a perfect world, this would surely be a fully automated process, or even better, we had already replaced the tables… (See also T76705 and T117458)

For the new wikis added on Thursday, I guess I can take care of the required set up steps on Monday (or @Ladsgroup can).

For the new wikis added on Thursday, I guess I can take care of the required set up steps on Monday (or @Ladsgroup can).

I created tasks for all of them under the Wikidata board.

hoo closed this task as Resolved.Apr 24 2018, 2:07 PM
hoo claimed this task.

See my comment above.